/**  版本信息模板在安装目录下，可自行修改。
* T_IntegratedScheduling_Process.cs
*
* 功 能： N/A
* 类 名： T_IntegratedScheduling_Process
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/10/20 10:20:04   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_IntegratedScheduling_Process
	/// </summary>
	public partial class T_IntegratedScheduling_Process
	{
		public T_IntegratedScheduling_Process()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_ProcessId", "T_IntegratedScheduling_Process"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_ProcessId)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_IntegratedScheduling_Process");
			strSql.Append(" where F_ProcessId=@F_ProcessId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ProcessId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ProcessId;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_IntegratedScheduling_Process(");
			strSql.Append("F_WorkOrderCode,F_DealMan,F_DealDept,F_ProcessingTime,F_Result,F_File,F_ReturnReason,F_Isdelete,F_UpdateTime)");
			strSql.Append(" values (");
			strSql.Append("@F_WorkOrderCode,@F_DealMan,@F_DealDept,@F_ProcessingTime,@F_Result,@F_File,@F_ReturnReason,@F_Isdelete,@F_UpdateTime)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DealMan", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DealDept", SqlDbType.NVarChar,100),
					new SqlParameter("@F_ProcessingTime", SqlDbType.DateTime),
					new SqlParameter("@F_Result", SqlDbType.NVarChar,500),
					new SqlParameter("@F_File", SqlDbType.NVarChar,500),
					new SqlParameter("@F_ReturnReason", SqlDbType.NVarChar,500),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_DealMan;
			parameters[2].Value = model.F_DealDept;
			parameters[3].Value = model.F_ProcessingTime;
			parameters[4].Value = model.F_Result;
			parameters[5].Value = model.F_File;
			parameters[6].Value = model.F_ReturnReason;
			parameters[7].Value = model.F_Isdelete;
			parameters[8].Value = model.F_UpdateTime;

			object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_IntegratedScheduling_Process set ");
			strSql.Append("F_WorkOrderCode=@F_WorkOrderCode,");
			strSql.Append("F_DealMan=@F_DealMan,");
			strSql.Append("F_DealDept=@F_DealDept,");
			strSql.Append("F_ProcessingTime=@F_ProcessingTime,");
			strSql.Append("F_Result=@F_Result,");
			strSql.Append("F_File=@F_File,");
			strSql.Append("F_ReturnReason=@F_ReturnReason,");
			strSql.Append("F_Isdelete=@F_Isdelete,");
			strSql.Append("F_UpdateTime=@F_UpdateTime");
			strSql.Append(" where F_ProcessId=@F_ProcessId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DealMan", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DealDept", SqlDbType.NVarChar,100),
					new SqlParameter("@F_ProcessingTime", SqlDbType.DateTime),
					new SqlParameter("@F_Result", SqlDbType.NVarChar,500),
					new SqlParameter("@F_File", SqlDbType.NVarChar,500),
					new SqlParameter("@F_ReturnReason", SqlDbType.NVarChar,500),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_ProcessId", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_DealMan;
			parameters[2].Value = model.F_DealDept;
			parameters[3].Value = model.F_ProcessingTime;
			parameters[4].Value = model.F_Result;
			parameters[5].Value = model.F_File;
			parameters[6].Value = model.F_ReturnReason;
			parameters[7].Value = model.F_Isdelete;
			parameters[8].Value = model.F_UpdateTime;
			parameters[9].Value = model.F_ProcessId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ProcessId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_IntegratedScheduling_Process ");
			strSql.Append(" where F_ProcessId=@F_ProcessId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ProcessId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ProcessId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_ProcessIdlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_IntegratedScheduling_Process ");
			strSql.Append(" where F_ProcessId in ("+F_ProcessIdlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process GetModel(int F_ProcessId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_ProcessId,F_WorkOrderCode,F_DealMan,F_DealDept,F_ProcessingTime,F_Result,F_File,F_ReturnReason,F_Isdelete,F_UpdateTime from T_IntegratedScheduling_Process ");
			strSql.Append(" where F_ProcessId=@F_ProcessId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ProcessId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ProcessId;

			RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process model=new RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process model=new RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Process();
			if (row != null)
			{
				if(row["F_ProcessId"]!=null && row["F_ProcessId"].ToString()!="")
				{
					model.F_ProcessId=int.Parse(row["F_ProcessId"].ToString());
				}
				if(row["F_WorkOrderCode"]!=null)
				{
					model.F_WorkOrderCode=row["F_WorkOrderCode"].ToString();
				}
				if(row["F_DealMan"]!=null)
				{
					model.F_DealMan=row["F_DealMan"].ToString();
				}
				if(row["F_DealDept"]!=null)
				{
					model.F_DealDept=row["F_DealDept"].ToString();
				}
				if(row["F_ProcessingTime"]!=null && row["F_ProcessingTime"].ToString()!="")
				{
					model.F_ProcessingTime=DateTime.Parse(row["F_ProcessingTime"].ToString());
				}
				if(row["F_Result"]!=null)
				{
					model.F_Result=row["F_Result"].ToString();
				}
				if(row["F_File"]!=null)
				{
					model.F_File=row["F_File"].ToString();
				}
				if(row["F_ReturnReason"]!=null)
				{
					model.F_ReturnReason=row["F_ReturnReason"].ToString();
				}
				if(row["F_Isdelete"]!=null && row["F_Isdelete"].ToString()!="")
				{
					model.F_Isdelete=int.Parse(row["F_Isdelete"].ToString());
				}
				if(row["F_UpdateTime"]!=null && row["F_UpdateTime"].ToString()!="")
				{
					model.F_UpdateTime=DateTime.Parse(row["F_UpdateTime"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_ProcessId,F_WorkOrderCode,F_DealMan,F_DealDept,F_ProcessingTime,F_Result,F_File,F_ReturnReason,F_Isdelete,F_UpdateTime ");
			strSql.Append(" FROM T_IntegratedScheduling_Process ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_ProcessId,F_WorkOrderCode,F_DealMan,F_DealDept,F_ProcessingTime,F_Result,F_File,F_ReturnReason,F_Isdelete,F_UpdateTime ");
			strSql.Append(" FROM T_IntegratedScheduling_Process ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_IntegratedScheduling_Process ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_ProcessId desc");
			}
			strSql.Append(")AS Row, T.*  from T_IntegratedScheduling_Process T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_IntegratedScheduling_Process";
			parameters[1].Value = "F_ProcessId";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

